Gecode::FlatZinc::ConExpr Class Reference

Abstract representation of a constraint. More...

`#include <conexpr.hh>`

## Public Member Functions

| ConExpr (const std::string &id0, AST::Array *args0, AST::Array *ann0)
| Constructor.
AST::Node * | operator[] (int i) const
| Return argument i.
int | size (void) const
| Return number of arguments.
| ~ConExpr (void)
| Destructor.

## Public Attributes

std::string | id
| Identifier for the constraint.
AST::Array * | args
| Constraint arguments.
AST::Array * | ann
| Constraint annotations.

## Detailed Description

Abstract representation of a constraint.

Definition at line 43 of file conexpr.hh.

## Constructor & Destructor Documentation

## ConExpr()

Gecode::FlatZinc::ConExpr::ConExpr | ( | const std::string & | id0,
|  | AST::Array * | args0,
|  | AST::Array * | ann0 )

inline

Constructor.

Definition at line 62 of file conexpr.hh.

## ~ConExpr()

Gecode::FlatZinc::ConExpr::~ConExpr | ( | void |  | ) |

inline

Destructor.

Definition at line 72 of file conexpr.hh.

## Member Function Documentation

## operator[]()

AST::Node * Gecode::FlatZinc::ConExpr::operator[] | ( | int | i | ) | const

inline

Return argument i.

Definition at line 66 of file conexpr.hh.

## size()

int Gecode::FlatZinc::ConExpr::size | ( | void |  | ) | const

inline

Return number of arguments.

Definition at line 69 of file conexpr.hh.

## Member Data Documentation

## id

std::string Gecode::FlatZinc::ConExpr::id

Identifier for the constraint.

Definition at line 46 of file conexpr.hh.

## args

AST::Array* Gecode::FlatZinc::ConExpr::args

Constraint arguments.

Definition at line 48 of file conexpr.hh.

## ann

AST::Array* Gecode::FlatZinc::ConExpr::ann

Constraint annotations.

Definition at line 50 of file conexpr.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/conexpr.hh